%define gcc gcc44
Summary: CERN program library
Name: CERNLIB
Version: 2006a
Release: 5.slc6
URL: http://cern.ch/cernlib
Source0: tar-up-cernlib-%{version}-%{_target_cpu}-slc6-%{gcc}-.sh
Source1: %{name}-%{version}-src.tar.gz
Source2: %{name}-%{version}-include.tar.gz
License: GPL, except FLUKA routines in GEANT3 may only be distributed together with GEANT3
Group: Application/Physics
BuildRoot: %{_tmppath}/%{name}-root

# add other archs as their binaries become available
ExclusiveArch: i686

%ifarch i686
Source3: %{name}-%{version}-i686-slc6-%gcc-opt.tar.gz
%endif
%ifarch x86_64
Source4: %{name}-%{version}-x86_64-slc6-%gcc-opt.tar.gz
%endif

%description
The CERN Program Library is a large collection of general purpose
libraries and modules maintained and offered in both source and object
code form on the CERN central computers. The two most popular
applications based on CERNLIB are PAW and GEANT 3.21. Most of these
programs were developed at CERN and are therefore oriented towards the
needs of a physics research laboratory that is general mathematics,
data analysis, detectors simulation, data-handling etc... applicable
to a wide range of problems.

This version has been compiled for %{_target_cpu} using %gcc
For any questions about CERNLIB contact Heplib.Support@cern.ch.

We currently only provide a i686 version of the rpm, mainly due to
conflicts with the paths of the i686 and x86_64 binaries
 
%prep
#
# 
#   The true sources for all files are in afs. You have to check yourself
#   whether there are any changes, and if there are rerun
#   tar-up-cernlib-2006a-gcc44-i686-.sh to rebuild the local source files
#
#   This beautiful construct makes the spec file independent of afs
#
%build
echo binary-only tar ball. Nothing to do...

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}/%{version}
cd $RPM_BUILD_ROOT%{_libexecdir}/%{name}/%{version}
echo "unpacking %{SOURCE1}"
tar xzf %{SOURCE1}
echo "unpacking %{SOURCE2}"
tar xzf %{SOURCE2}

%ifarch i386 i686
echo "unpacking %{SOURCE3}"
tar xzf %{SOURCE3}
%endif

%ifarch x86_64
echo "unpacking %{SOURCE4}"
tar xzf %{SOURCE4}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libexecdir}/%{name}/%{version}

%post
[ -e /cern ] || ln -s %{_libexecdir}/%{name} /cern
[ -e %{_libexecdir}/%{name}/pro ] || ln -s %{version} %{_libexecdir}/%{name}/pro

%preun
if [ "$1" -eq 0 ]; then
 # complete uninstall, i.e. no funny upgrade
 [ -L "%{_libexecdir}/%{name}/pro" -a `/usr/bin/readlink %{_libexecdir}/%{name}/pro` = %{version} ] && rm %{_libexecdir}/%{name}/pro
 [ -L "/cern" -a `/usr/bin/readlink /cern` = "%{_libexecdir}/%{name}" ] && rm /cern
fi
												 
%changelog
* Wed Sep 19 2012 Matthias Schroder <Matthias.Schroder> 2006-5.slc6
- Make srpm independent of afs, add script to extract files to srpm

* Thu Sep 13 2012 Matthias Schroder <Matthias.Schroder> 2006-4.slc6
- Built with shift libs (changed path of SOURCE3 and SOURCE4)

* Tue Jun  5 2012 Matthias Schroder <Matthias.Schroder> 2006-3.slc6
- Built with changed options

* Thu Apr 19 2012 Matthias Schroder <Matthias.Schroder> 2006-2.slc6
- Got more libs from Benedikt

* Mon Mar  5 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> 2006-1.slc6
- Initial build for SLC6

* Wed Jun 17 2009 Jan van Eldik <Jan.van.Eldik@cern.ch> 2006-3.slc5
- Only build i386 for now :(

* Tue Jun 16 2009 Jan van Eldik <Jan.van.Eldik@cern.ch> 2006-2.slc5
- fixes for "shift versions" of packlib and kernlib

* Thu Jun 11 2009 Jan van Eldik <Jan.van.Eldik@cern.ch> 2006-1.slc5
- include "shift versions" of packlib and kernlib

* Tue Apr 21 2009 Jan van Eldik <Jan.van.Eldik@cern.ch> 2006-0.slc5
- repackaged SLC5 versions

* Wed Mar 29 2006 Jan Iven <jan.iven@cern.ch> 2005-0.slc4
- repackaged SLC4/i386 version

* Mon Nov 01 2004 Jan Iven <jan.iven@cern.ch> 2004-4
- repackage new build with fixed Comis C routines (broke paw),  Ian Mclaren's mail from 01.11.2004

* Thu Oct 07 2004 Jan Iven <jan.iven@cern.ch> 2004-3
- repackage new build with stdhep included, Remedy CT0000000234661

* Fri Sep 24 2004  Jan Iven <jan.iven@cern.ch> 2004-2
- repackage new build with libphtools.a included, Ian Mclaren's mail from 30.08.2004

* Fri Jul 30 2004  Jan Iven <jan.iven@cern.ch> 2004-1
- Upgrade to CERNLIB-2004, withouts TMS, as per Ian Mclaren's mail from 30.07.2004

* Mon May 03 2004  Jan Iven <jan.iven@cern.ch> 2003-1
 
- Initial build.
