#!/bin/sh
#
# Little scriptlet to tar up CERNLIB sources to make srpm
# independaent of afs
#
# cernlib version, gcc version and buildarch appear in the script name to make
# sure that this script gets updated when any of these are changed in the spec file 
#
# Not sure we will ever again build x86_64 CERNLIB rpms, but we 
# keep the hope alive.
#
clversion=`echo "$0" | awk -F\- '{print $4}'`
buildarch=`echo "$0" | awk -F\- '{print $5}'`
slc=`echo "$0" | awk -F\- '{print $6}'`
gcc=`echo "$0" | awk -F\- '{print $7}'`
mydir=`pwd`

if [ "$buildarch" = "i686" -o "$buildarch" = "x86_64" ]; then
    source="CERNLIB-${clversion}-${buildarch}-slc6-${gcc}-opt.tar.gz"
    cd /afs/cern.ch/sw/lcg/external/cernlib/${clversion}/${buildarch}-slc6-${gcc}-opt.shift
    tar czf ${mydir}/${source} --exclude CVS --exclude _SPI --exclude include --exclude src .
else
    echo "buildarch $buildarch not supported, bailing out"
    exit 1
fi

source="CERNLIB-${clversion}-src.tar.gz"
cd /afs/cern.ch/sw/lcg/external/cernlib/${clversion}/
tar czf ${mydir}/${source} --exclude CVS --exclude _SPI src/

source="CERNLIB-${clversion}-include.tar.gz"
cd /afs/cern.ch/sw/lcg/external/cernlib/${clversion}/
tar czf ${mydir}/${source} --exclude CVS --exclude _SPI include/

exit
